AurionAI Docs

Get Widget History

GET
/api/v1/widget/history

Query Parameters

tenant_id*Tenant Id
Length8 <= length <= 64
public_key*Public Key
Length8 <= length <= 255
email_token*Email Token
Length1 <= length <= 1024
conversation_limit?Conversation Limit
Default5
Range1 <= value <= 20
message_limit?Message Limit
Default40
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/widget/history?tenant_id=stringst&public_key=stringst&email_token=string"
{
  "conversations": [
    {
      "conversation_id": "string",
      "messages": [
        {
          "body": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "id": "string",
          "sender_type": "string"
        }
      ],
      "status": "string",
      "subject": "string",
      "thread_id": "string",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "email": "user@example.com",
  "tenant_id": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}